<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.OrderGrantMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orderGrantResultMap" type="org.springblade.modules.finance.entity.OrderGrant">
        <id column="id" property="id"/>
        <result column="bat_no" property="batNo"/>
        <result column="user_id" property="userId"/>
        <result column="status" property="status"/>
        <result column="freeze_time" property="freezeTime"/>
        <result column="create_time" property="createTime"/>
        <result column="unfreeze_time" property="unfreezeTime"/>
    </resultMap>


    <select id="selectOrderGrantPage" resultMap="orderGrantResultMap">
        select * from t_order_grant where is_deleted = 0
    </select>

</mapper>
